Skip to main content
PUT
/
api
/
Webhook
/
{webhookId}
Update a Webhook
curl --request PUT \
  --url https://api.virtuoussoftware.com/api/Webhook/{webhookId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "payloadUrl": "<string>",
  "secret": "<string>",
  "contactCreate": "<boolean>",
  "contactUpdate": "<boolean>",
  "giftCreate": "<boolean>",
  "giftUpdate": "<boolean>",
  "giftDelete": "<boolean>",
  "projectCreate": "<boolean>",
  "projectUpdate": "<boolean>",
  "projectDelete": "<boolean>",
  "formSubmission": "<boolean>",
  "contactNoteCreate": "<boolean>",
  "contactNoteUpdate": "<boolean>",
  "contactNoteDelete": "<boolean>",
  "eventCreate": "<boolean>",
  "eventUpdate": "<boolean>",
  "eventDelete": "<boolean>",
  "active": "<boolean>"
}
'
{
  "id": "<integer>",
  "payloadUrl": "<string>",
  "secret": "<string>",
  "contactCreate": "<boolean>",
  "contactUpdate": "<boolean>",
  "giftCreate": "<boolean>",
  "giftUpdate": "<boolean>",
  "giftDelete": "<boolean>",
  "projectCreate": "<boolean>",
  "projectUpdate": "<boolean>",
  "projectDelete": "<boolean>",
  "formSubmission": "<boolean>",
  "contactNoteCreate": "<boolean>",
  "contactNoteUpdate": "<boolean>",
  "contactNoteDelete": "<boolean>",
  "eventCreate": "<boolean>",
  "eventUpdate": "<boolean>",
  "eventDelete": "<boolean>",
  "active": "<boolean>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhookId
string
required

(Required) The webhook identifier.

Body

application/json
payloadUrl
string
secret
string
contactCreate
string
contactUpdate
string
giftCreate
string
giftUpdate
string
giftDelete
string
projectCreate
string
projectUpdate
string
projectDelete
string
formSubmission
string
contactNoteCreate
string
contactNoteUpdate
string
contactNoteDelete
string
eventCreate
string
eventUpdate
string
eventDelete
string
active
string

Response

OK

id
string
payloadUrl
string
secret
string
contactCreate
string
contactUpdate
string
giftCreate
string
giftUpdate
string
giftDelete
string
projectCreate
string
projectUpdate
string
projectDelete
string
formSubmission
string
contactNoteCreate
string
contactNoteUpdate
string
contactNoteDelete
string
eventCreate
string
eventUpdate
string
eventDelete
string
active
string
Last modified on June 5, 2026